﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using System.Data.SqlClient;
using System.Data;


namespace WebApplication80
{
	public partial class WebForm1 : System.Web.UI.Page
	{
		protected void Page_Load(object sender, EventArgs e)
		{

		}

		protected void ButtonPanstwoWybierz_Click(object sender, EventArgs e)
		{
			SqlConnection conn;
			SqlCommand cmd;
			SqlDataReader rdr;

			//1. Nazwiazanie polaczenia
			conn = new SqlConnection(System.Configuration.
				ConfigurationManager.ConnectionStrings["CS"].ConnectionString);
			conn.Open();

			//2. Twortenie polecenie
			cmd = new SqlCommand("SELECT * FROM Miasta WHERE PanstwoID=" 
				+ DropDownListPanstwa.SelectedValue);
			cmd.Connection = conn;

			//3. Wykonanie polecenia
			rdr = cmd.ExecuteReader();

			//while (rdr.Read())
			//{
			//	rdr.GetDouble(rdr.GetOrdinal("NazwaKolumny"));
			//}

			//4. Przetworzenie danych
			DropDownListMiasta.DataSource = rdr;
			DropDownListMiasta.DataTextField = "Nazwa";
			DropDownListMiasta.DataValueField = "MiastoID";
			DropDownListMiasta.DataBind();

			//5. Zamkniecie polaczenia
			rdr.Close();
			conn.Close();
		}

		protected void ButtonDodaj_Click(object sender, EventArgs e)
		{
			SqlConnection conn;
			SqlCommand cmd;
			SqlParameter param;

			//1. Nazwiazanie polaczenia
			conn = new SqlConnection(System.Configuration.
				ConfigurationManager.ConnectionStrings["CS"].ConnectionString);
			conn.Open();

			//2. Twortenie polecenie
			cmd = new SqlCommand("INSERT INTO Miasta VALUES (@MiastoID,@PanstwoID,@Nazwa)");
			cmd.Connection = conn;

			//2. Dodanie parametrow
			param = new SqlParameter("MiastoID", SqlDbType.Int);
			param.Value = 10;
			cmd.Parameters.Add(param);

			param = new SqlParameter("PanstwoID", SqlDbType.Int);
			param.Value = DropDownListPanstwa.SelectedValue;
			cmd.Parameters.Add(param);

			param = new SqlParameter("Nazwa", SqlDbType.VarChar);
			param.Value = TextBoxNazwa.Text;
			cmd.Parameters.Add(param);

			//3. Wykonanie polecenia
			cmd.ExecuteNonQuery();

			//4. Odsiwezenie kontrolki
			ButtonPanstwoWybierz_Click(null, null);

			//5. Zamkniecie polaczenia
			conn.Close();
		}
	}
}